Marathon Digital Holdings Inc

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/marathon-digital-holdings-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/marathon-digital-holdings-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1772409600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://ir.mara.com/sec-filings/all-sec-filings/content/0001507605-26-000007/mara-20251231.htm#id32b7b1249ef4fb88f3c1189f4390bb2_340",
    "holding_balance": 53822.0,
    "holding_net_change": 972.0,
    "transaction_value_usd": 66873609.71999999,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1774483200000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://ir.mara.com/news-events/press-releases/detail/1418/mara-holdings-inc-announces-1-0-billion-repurchase-of-0-00-convertible-senior-notes-due-2030-and-2031-and-sale-of-15133-bitcoin",
    "holding_balance": 38689.0,
    "holding_net_change": -15133.0,
    "transaction_value_usd": 1041052943.48,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1778457600000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://ir.mara.com/sec-filings/all-sec-filings/content/0001507605-26-000016/0001507605-26-000016.pdf",
    "holding_balance": 35303.0,
    "holding_net_change": -3386.0,
    "transaction_value_usd": 276687260.88,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/marathon-digital-holdings-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    35303.0
  ],
  [
    1782950400000,
    35303.0
  ],
  [
    1783036800000,
    35303.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/marathon-digital-holdings-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    2116928508.65
  ],
  [
    1782950400000,
    2170704862.49
  ],
  [
    1783036800000,
    2207355024.97
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/marathon-digital-holdings-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 13.28,
    "date": "2026-06-30",
    "high": 13.93,
    "open": 13.64,
    "close": 13.89,
    "volume": 43010200
  },
  {
    "low": 13.18,
    "date": "2026-07-01",
    "high": 14.0,
    "open": 13.74,
    "close": 13.37,
    "volume": 40797900
  },
  {
    "low": 11.98,
    "date": "2026-07-02",
    "high": 14.09,
    "open": 13.63,
    "close": 12.4,
    "volume": 50628900
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/marathon-digital-holdings-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.51,
  "quarterly_earnings_growth": 0.867,
  "eps_estimate_current_quarter": -0.505
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/marathon-digital-holdings-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -13.17,
  "six_month_return": 32.9,
  "three_month_return": 54.23
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/marathon-digital-holdings-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 46.7,
  "total_btc_percentage": 0.168,
  "share_price_change_state": "down"
}